
function network_get_info()
{
	var info, reply;
	info = new Object();

	beos.sendMessageSync("application/x-vnd.Be-NETS", "qNCI");
	reply = beos.reply;

	info.connection = "unknown";
	if(reply.connectiontype == "dhcp") info.connection = "dhcp";
	if(reply.connectiontype == "ppp") info.connection = "ppp";

	info.ppp = "unknown";
	if(reply.pppstate == 3) info.ppp = "up";
	if(reply.pppstate == 4) info.ppp = "down";
	if(reply.pppstate == 7) info.ppp = "connecting";
	if(reply.pppstate == 8) info.ppp = "disconnecting";

	if(reply.dhcpstate == 5) {
		info.dhcp = "online";
	} else {
		info.dhcp = "offline";
	}

	info.ip = reply[info.connection+"ipaddress"];
	info.gw = reply[info.connection+"gwaddress"];
	info.user = reply.username;
	info.pass = reply.password;
	info.phone = reply.phonenumber;
	info.init = reply.modeminit;

	return info;
}

function network_dial_ppp() 
{
	beos.sendMessage("application/x-vnd.Be-NETS", "Pup!");
}

function network_hangup_ppp()
{
	beos.sendMessage("application/x-vnd.Be-NETS", "Pdn!");
}

function network_use_ppp()
{
	beos.sendMessage("application/x-vnd.Be-NETS", "qNCI",
						 "store", "int32", 0,
						 "connectiontype", "string", "ppp");
}

function network_use_dhcp()
{
	beos.sendMessage("application/x-vnd.Be-NETS", "qNCI",
						 "store", "int32", 0,
						 "connectiontype", "string", "dhcp");
}

function network_set_user(user)
{
	beos.sendMessage("application/x-vnd.Be-NETS", "qNCI",
						 "store", "int32", 0,
						 "username", "string", user);
}

function network_set_pass(pass)
{
	beos.sendMessage("application/x-vnd.Be-NETS", "qNCI",
						 "store", "int32", 0,
						 "password", "string", pass);
}

function network_set_phone(phone)
{
	beos.sendMessage("application/x-vnd.Be-NETS", "qNCI",
						 "store", "int32", 0,
						 "phonenumber", "string", phone);
}

function network_set_init(str)
{
	beos.sendMessage("application/x-vnd.Be-NETS", "qNCI",
						 "store", "int32", 0,
						 "modeminit", "string", str);
}
